# Player's ID markers

For the store to request the player's identifier, you must [add a server and configure commands](https://docs.tip4serv.com/store-setup/server-commands) in your products in [MY PRODUCTS](https://tip4serv.com/dashboard/my-products).

{% hint style="info" %}
You can also use the [Player ID fields page](https://tip4serv.com/dashboard/custom-fields) in the administration panel.
{% endhint %}

### Available markers for each game

Insert these markers in your commands, they will be replaced by the player ID when it will be executed on your server.

| Discord             | FiveM                | Minecraft               |
| ------------------- | -------------------- | ----------------------- |
| {discord\_id}       | {fivem\_live\_id}    | {minecraft\_uuid}       |
| {discord\_username} | {fivem\_licence}     | {minecraft\_full\_uuid} |
| {steam\_username}   | {fivem\_citizen\_id} | {minecraft\_username}   |
|                     | {steam\_username}    |                         |

| ARK Survival Evolved         | ARK Survival Ascended      | Hytale             |
| ---------------------------- | -------------------------- | ------------------ |
| {ue4\_id} (Unreal player ID) | {ue5id} (Unreal player ID) | {hytale\_username} |
| {arkse\_username}            | {eosid}                    | {hytale\_uuid}     |
|                              | {arksa\_username}          |                    |

{% hint style="info" %}
It doesn't matter in which server you add the marker, you can very well add {steam\_id} in a Minecraft server command.
{% endhint %}

<table><thead><tr><th>Other markers</th><th data-hidden></th><th data-hidden></th></tr></thead><tbody><tr><td>{email} </td><td></td><td></td></tr><tr><td>{7dtd_username} </td><td></td><td></td></tr><tr><td>{zomboid_username} </td><td></td><td></td></tr><tr><td>{unturned_username} </td><td></td><td></td></tr><tr><td>{gmod_username} </td><td></td><td></td></tr><tr><td>{rust_username}</td><td></td><td></td></tr><tr><td>{PlayerName} (Rust Console Edition) </td><td></td><td></td></tr><tr><td>{csgo_username}</td><td></td><td></td></tr><tr><td>{steam_id}</td><td></td><td></td></tr><tr><td>{steam_id2}</td><td></td><td></td></tr><tr><td>{steam_id64}</td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tip4serv.com/store-setup/server-commands/players-id-markers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
